<%= form_for @bookmark, :url=>{:action=>:create}, :method=>:POST do |f| %>
 <fieldset id='bookmark'>
  <legend><% if @bookmark.id %>Edit<% else %>Add<% end %> Bookmark</legend>
    <%= f.submit 'Save' %><br/>
    <%= f.hidden_field :id %>

    <%= f.text_field :name, :size=>25, :placeholder=>'Name' %>
    <%= f.url_field :url, :size=>25, :placeholder=>'URL' %>
    <%= f.select :rank, options_for_select(Bookmark.ranks_for_form, :selected=>f.object.rank), :prompt=>'-- Select Rank --' %><br/>

    Link to:
    <ul>
      <li><%= check_box_tag :mark_bookmark_private, 1, (f.object.id_user > 0) %><%= f.label :mark_bookmark_private, 'Me' %> <span>only I can see this bookmark</span></li>
      <li><%= f.select :id_security,     options_from_collection_for_select(@securities, :id, :to_s_with_symbol, f.object.id_security), :include_blank=>'-- Link Security --' %></li>
      <li><%= f.select :id_organization, options_from_collection_for_select(@organizations, :id, :to_s, f.object.id_organization), :include_blank=>'-- Link Organization --' %></li>
      <li><%= f.select :id_portfolio,  options_from_collection_for_select(@portfolios, :id, :to_s, f.object.id_portfolio), :include_blank=>'-- Link Portfolio --' %></li>
      <li><%= f.select :id_figure_var, options_from_collection_for_select(@figure_vars, :id, :to_s, f.object.id_figure_var), :include_blank=>'-- Link Figure --' %></li>
    </ul>

 </fieldset>
<% end %>
